OnACTIVATE=function(bActive){
	static_shadow_active.ShowCtrl(bActive);
}
OnMouseOptChange=function(bOpt){
	var ps=box_toolbar.GetPlaceSet();
	if(bOpt) ps.size.cy=29;
	else ps.size.cy=8;
	box_toolbar.ResetCtrl(ps.rect,ps.size,"lrb",ps.zindex);
	if(bOpt) box_btn.Show(true);
}
OnInitSkin=function(){
	var bMouseIn=IsMouseIn();
	var ps=box_toolbar.GetPlaceSet();
	if(bMouseIn) ps.size.cy=29;
	else ps.size.cy=8;
	box_toolbar.Reset(ps.rect,ps.size,"lrb",ps.zindex);
	box_btn.Show(bMouseIn);
}
box_toolbar.OnSizeChanged=function(oldSize,newSize){
	if(newSize.cy==8) box_btn.Show(false);
}
SKIN_OnSetPlayInfo=function(bChangeSong){
	if(bChangeSong) RefreshBtn();
}
SKIN_OnCurrentLrcInfoChanged=function(flag){
	if(flag!=0) RefreshBtn();
}
function RefreshBtn(){
	var song=GetCurrentSong();
	var bLrc=song&&song.HasLrc;
	BTN_COPYLRC.Enable(bLrc);
	BTN_OPENLRCDIR.Enable(bLrc);
	BTN_LINKLRC.Enable(song?true:false);
}